@echo off
cls

REM Procedimento de reinstalao dos Logos do tema "Vasco da Gama - 100 anos de sucesso!"
REM 5 de setembro de 1998
REM
REM Angelo Arede, email: dynamite@rio.nutecnet.com.br
REM
REM This file must be run from Windows 95!

REM ====================================================================================

    echo ===============================================================================
    echo                     Vasco da Gama - 100 anos de sucesso! Theme
    echo                         Programa de reinstalacao dos Logos
    echo                            por Angelo "Dynamite" Arede
    echo                              5 de setembro de 1998
    echo ===============================================================================
    goto windows

REM ====================================================================================

REM Check for Windows environment
:windows
    if "%windir%"=="" goto no_win
    goto source

REM Check for source files.
:source
    if not exist c:\logo.VdG goto no_logo
    if not exist %windir%\logos.VdG goto no_logos
    if not exist %windir%\logow.VdG goto no_logow
    goto reinstall

REM ====================================================================================

REM Re-install logos
:reinstall
    echo 
    echo Aguarde enquanto o windows reinstala os Logos...
    if exist c:\logo.sys if not exist c:\logo.w95 rename c:\logo.sys logo.w95
    if exist c:\logo.sys del c:\logo.sys
    rename c:\logo.VdG logo.sys
    if exist %windir%\logow.sys if not exist %windir%\logow.w95 rename %windir%\logow.sys logow.w95
    if exist %windir%\logow.sys del %windir%\logow.sys
    rename %windir%\logow.VdG logow.sys
    if exist %windir%\logos.sys if not exist %windir%\logos.w95 rename %windir%\logos.sys logos.w95
    if exist %windir%\logos.sys del %windir%\logos.sys
    rename %windir%\logos.VdG logos.sys
    goto done

REM ====================================================================================

REM Display done message
:done
    echo 
    echo Logos do Tema "Vasco da Gama - 100 anos de sucesso!" reinstalados com sucesso.
    goto end

REM ====================================================================================

REM Print errormessage
:no_win
  echo 
  echo O programa de instalacao nao detectou o sistema Microsoft Windows 95.
  echo Reinicie Windows 95 e tente outra vez.
  goto end

REM Print errormessage
:no_logo
  echo 
  echo O programa de instalacao nao encontrou o logo de inicializacao do Tema.
  echo Sem este logo e impossivel reinstalar os logos do Tema.
  goto end

:no_logos
  echo 
  echo O programa de instalacao nao encontrou o logo de finalizacao do Tema.
  echo Sem este logo e impossivel reinstalar os logos do Tema.
  goto end

REM Print errormessage
:no_logow
  echo 
  echo O programa de instalacao nao encontrou o logo de desligamento do Tema.
  echo Sem este logo e impossivel reinstalar os logos do Tema.
  goto end

REM ====================================================================================

REM End.
:end
  echo 
